Bug 1824921 - Incorrect Instructions for refreshing CA cert bundle
Summary: Incorrect Instructions for refreshing CA cert bundle
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.3.z
Assignee: egarcia
QA Contact: David Sanz
URL:
Whiteboard:
Depends On: 1824917
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-16 16:44 UTC by egarcia
Modified: 2020-04-30 01:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The oc command for refreshing the CA cert is missing the resource type on which to operate. Consequence: The command returns an error. Fix: Correct the command by adding the missing configmap resource type. Result: The command now succeeds.
Clone Of: 1824917
Environment:
Last Closed: 2020-04-30 01:28:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3466 None closed Bug 1824921: [release-4.3] OpenStack: Correcting the instructions to refresh a CA cert 2020-04-27 07:08:09 UTC
Red Hat Product Errata RHBA-2020:1529 None None None 2020-04-30 01:28:38 UTC

Description egarcia 2020-04-16 16:44:12 UTC
+++ This bug was initially created as a clone of Bug #1824917 +++

The instructions for refreshing the CA cert have a typo. The instructions state to run: oc edit -n openshift-config cloud-provider-config however this command is incorrect. It should be: oc edit configmap -n openshift-config cloud-provider-config

Comment 3 David Sanz 2020-04-17 09:35:02 UTC
Verified

Comment 4 Pierre Prinetti 2020-04-18 10:41:40 UTC
Temporarily reverting the status to allow for the automation to allow the merge

Comment 5 Wei Sun 2020-04-26 03:41:57 UTC
Move the bug to ON_QA for verification.

Comment 6 weiwei jiang 2020-04-26 03:43:25 UTC
Checked and it's fixed. https://github.com/openshift/installer/tree/release-4.3/docs/user/openstack#refreshing-a-ca-certificate

Refreshing a CA Certificate

If you ran the installer with a custom CA certificate, then this certificate can be changed while the cluster is running. To change your certificate, edit the value of the ca-cert.pem key in the cloud-provider-config configmap with a valid PEM certificate.

oc edit configmap -n openshift-config cloud-provider-config

Comment 8 errata-xmlrpc 2020-04-30 01:28:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1529


Note You need to log in before you can comment on or make changes to this bug.